package kernel.net;

using tink.CoreApi;

/**
	A object that is able to send and receive messages.
**/
interface INetworkInterface {
	public function listen(chan: Int):Void;
	public function close(chan: Int):Void;
	public function isListening(chan: Int): Bool;
	public function closeAll(): Void;
	public function send(chan: Int,replyChan: Int,payload: Any):Void;
	public function name():String;
	public function getBaseRoutingCost():Int;
	public var onMessage (default, null): Signal<Package>;
}
